Subject: Exporter en XML

From: Philhar <[email-masked]>
Date: Tue, 10 Apr 2018 23:18:58 -0700 (MST)

Bonjour.

Un étudiant de Cambridge m'a contacté pour utiliser mes fichiers LilyPond
avec MUSIC21 en passant par le format xml. LilyPond ne semble pas savoir
exporter en xml. Frescobaldi évoque un projet de développement d'un tel
outil, mais sans plus de précision. En cherchant sur la liste anglophone,
j'ai trouvé une possibilité en passant par MuseScore qui peut lire les
fichiers midi générés par LilyPond, puis les exporter en xml.
Quelqu'un a-t-il une expérience de ce genre de manip. ?

Merci pour lui,
Michel

--
Sent from: http://lilypond-french-users.1298960.n2.nabble.com/

---

From: René Bastian <[email-masked]>
Date: Wed, 11 Apr 2018 09:57:32 +0200

À mon avis SVG est un peu mieux que XML, or:

3.4.3 Formats de sortie alternatifs

En matière de partition imprimable, LilyPond génère par défaut des
documents au format PostScript (PS) et Portable Document Format (PDF).
Vous pouvez aussi obtenir des documents au format Scalable Vector
Graphics (SVG), Encapsulated PostScript (EPS) ou Portable Network
Graphics (PNG) dès lors que vous aurez lancé LilyPond en ligne de
commande avec l’option ad hoc – voir Utilisation en ligne de commande à
ce sujet. 

rb

On Tue, 10 Apr 2018 23:18:58 -0700 (MST)
Philhar <[email-masked]> wrote:

> Bonjour.
> 
> Un étudiant de Cambridge m'a contacté pour utiliser mes fichiers
> LilyPond avec MUSIC21 en passant par le format xml. LilyPond ne
> semble pas savoir exporter en xml. Frescobaldi évoque un projet de
> développement d'un tel outil, mais sans plus de précision. En
> cherchant sur la liste anglophone, j'ai trouvé une possibilité en
> passant par MuseScore qui peut lire les fichiers midi générés par
> LilyPond, puis les exporter en xml. Quelqu'un a-t-il une expérience
> de ce genre de manip. ?
> 
> Merci pour lui,
> Michel
> 
> 
> 
> --
> _______________________________________________
> liste de diffusion lilypond-user-fr
> [email-masked]
> https://lists.gnu.org/mailman/listinfo/lilypond-user-fr

-- 

r.bastian
www.pythoneon.org